"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumerMessageRatePlugin = void 0;
const consumer_message_rate_1 = require("./consumer/consumer-message-rate");
const consumer_message_rate_writer_1 = require("./consumer/consumer-message-rate-writer");
const redis_smq_1 = require("redis-smq");
class ConsumerMessageRatePlugin {
    constructor(redisClient, queue, consumer) {
        const writer = new consumer_message_rate_writer_1.ConsumerMessageRateWriter(redisClient, queue, consumer.getId());
        this.consumerMessageRate = new consumer_message_rate_1.ConsumerMessageRate(writer);
        consumer.on(redis_smq_1.events.MESSAGE_ACKNOWLEDGED, () => this.consumerMessageRate.incrementAcknowledged());
        consumer.on(redis_smq_1.events.MESSAGE_DEAD_LETTERED, () => this.consumerMessageRate.incrementDeadLettered());
    }
    quit(cb) {
        this.consumerMessageRate.quit(cb);
    }
}
exports.ConsumerMessageRatePlugin = ConsumerMessageRatePlugin;
//# sourceMappingURL=consumer-message-rate-plugin.js.map